/*
 * 	File:	main.c
 * 	Date:	2011-01-02
 */

#include "main.h"

#define LED_GREEN	C, 9, HIGH, GENERAL_OUTPUT_PUSH_PULL, SPEED_2MHZ
#define LED_BLUE	C, 8, HIGH, GENERAL_OUTPUT_PUSH_PULL, SPEED_2MHZ
#define BUTTON		A, 0, HIGH, INPUT_PULL_DOWN,

const uint8_t Hello[] = "ZiBlog.ru @ 2011";
const uint8_t Test[] = "Test LCD 2x16";

//-----------------------------------------------------------------------------
void delay_ms(uint16_t time)
{
	volatile uint32_t i;

	while (time-- > 0)
	{
		i = 1000;
		while (i-- > 0)
		{
		}
	}
}

//-----------------------------------------------------------------------------
int main(void)
{
	PIN_CONFIGURATION(LED_GREEN);
	PIN_CONFIGURATION(LED_BLUE);
	PIN_CONFIGURATION(BUTTON);

	lcd_2x16_init();

	lcd_2x16_set_position(0, 0);
	lcd_2x16_print_string((uint8_t *) &Hello[0]);

	lcd_2x16_set_position(1, 0);
	lcd_2x16_print_string((uint8_t *) &Test[0]);

	while (1)
	{
		if (PIN_SIGNAL(BUTTON))
		{
			PIN_OFF(LED_GREEN);
			PIN_ON(LED_BLUE);
		}
		else
		{
			PIN_ON(LED_GREEN);
			PIN_OFF(LED_BLUE);
		}
	}

	return 0;
}
